#!/bin/bash

# https://askubuntu.com/questions/157779/how-to-determine-whether-a-process-is-running-or-not-and-make-use-it-to-make-a-c
# Check if process is running -x flag only match processes whose name (or command line if -f is specified) exactly match the pattern.

if pidof $1 >/dev/null 2>&1 ; then
  killall -s SIGTERM $1
  # https://stackoverflow.com/questions/27555727/timeouting-a-while-loop-in-linux-shell-script
  # https://stackoverflow.com/questions/8048628/wait-child-process-but-get-error-pid-is-not-a-child-of-this-shell
  timeout 5 bash -c -- "while [ pidof $1 >/dev/null 2>&1 ] ; do sleep 0.1 ; done"
  if pidof $1 >/dev/null 2>&1 ; then
    killall -s SIGKILL $1
  fi
fi
